Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.wireless.me.core
Interface Response

public interface Response

Response represents the data which is generated by invoking a Service from iAS Wireless J2ME Proxy Server. Supported return types are String, Boolean, Date, Integer, Vector, and Hashtable. (byte[] coming soon). If any error occurred during the service invocation at iAS Wireless J2ME Proxy Server, a negative error code is returned, and the error message can be retrieved from getErrorMsg() method.

Version:
  1.0

Method Summary
`boolean` | `getBoolean()` Gets the returned data as a boolean primitive type
`boolean[]` | `getBooleanArray()` Gets the returned data as an array of boolean primitive type
`java.lang.Boolean` | `getBooleanObj()` Gets the returned data as a java.lang.Boolean
`java.lang.Boolean[]` | `getBooleanObjArray()` Gets the returned data as an array of java.lang.Boolean
`byte[]` | `getByteArray()` NOT YET IMPLEMENTED! Gets the returned data as an array of byte primitive type
`Call` | `getCall()` Return associated Call object reference
`java.util.Date` | `getDate()` Gets the returned data as a java.util.Date
`java.util.Date[]` | `getDateArray()` Gets the returned data as an array of java.util.Date
`java.util.Enumeration` | `getEnumeration()` NOT YET IMPLEMENTED! Gets the object returned from the remote procedure call as an enumeration.
`java.lang.String` | `getErrorMsg()` Get the error message when error occurred during the service invocation on iAS Wireless J2ME Proxy Server.
`java.util.Hashtable` | `getHashtable()` Gets the returned data as a java.util.Hashtable
`int` | `getInt()` Gets the returned data as an int primitive type
`int[]` | `getIntArray()` Gets the returned data as an array of int primitive type
`java.lang.Integer` | `getInteger()` Gets the returned data as a java.lang.Integer
`java.lang.Integer[]` | `getIntegerArray()` Gets the returned data as an array of java.lang.Integer
`int` | `getKey()` Get the cache key for this Response.
`java.lang.Object` | `getObject()` Gets the returned data unconverted, as java.lang.Object
`int` | `getReturnCode()` 0 means that the service invocation succeeded.
`java.lang.String` | `getString()` Gets the returned data as a java.lang.String
`java.lang.String[]` | `getStringArray()` Gets the returned data as an array of java.lang.String
`java.util.Vector` | `getVector()` Gets the returned data as a java.util.Vector

Method Detail

### getCall

    public Call getCall()

  Return associated Call object reference

### getReturnCode

    public int getReturnCode()

  0 means that the service invocation succeeded. Non-zero value means that an error occurred during the service invocation; the error message can be retrieved with the getErrorMsg() method.
  THE FOLLOWING IS NOT YET IMPLEMENTED: A return of 1 means that not all of the response fit on the device, and you must use the method getEnumeration to get the response.

### getErrorMsg

    public java.lang.String getErrorMsg()

  Get the error message when error occurred during the service invocation on iAS Wireless J2ME Proxy Server.

### getObject

    public java.lang.Object getObject()

  Gets the returned data unconverted, as java.lang.Object

### getString

    public java.lang.String getString()
                               throws ServiceException

  Gets the returned data as a java.lang.String

  Throws:
    `ServiceException`

### getInt

    public int getInt()
               throws ServiceException

  Gets the returned data as an int primitive type

  Throws:
    `ServiceException`

### getInteger

    public java.lang.Integer getInteger()
                                 throws ServiceException

  Gets the returned data as a java.lang.Integer

  Throws:
    `ServiceException`

### getBoolean

    public boolean getBoolean()
                       throws ServiceException

  Gets the returned data as a boolean primitive type

  Throws:
    `ServiceException`

### getBooleanObj

    public java.lang.Boolean getBooleanObj()
                                    throws ServiceException

  Gets the returned data as a java.lang.Boolean

  Throws:
    `ServiceException`

### getDate

    public java.util.Date getDate()
                           throws ServiceException

  Gets the returned data as a java.util.Date

  Throws:
    `ServiceException`

### getVector

    public java.util.Vector getVector()
                               throws ServiceException

  Gets the returned data as a java.util.Vector

  Throws:
    `ServiceException`

### getHashtable

    public java.util.Hashtable getHashtable()
                                     throws ServiceException

  Gets the returned data as a java.util.Hashtable

  Throws:
    `ServiceException`

### getStringArray

    public java.lang.String[] getStringArray()
                                      throws ServiceException

  Gets the returned data as an array of java.lang.String

  Throws:
    `ServiceException`

### getIntArray

    public int[] getIntArray()
                      throws ServiceException

  Gets the returned data as an array of int primitive type

  Throws:
    `ServiceException`

### getIntegerArray

    public java.lang.Integer[] getIntegerArray()
                                        throws ServiceException

  Gets the returned data as an array of java.lang.Integer

  Throws:
    `ServiceException`

### getBooleanArray

    public boolean[] getBooleanArray()
                              throws ServiceException

  Gets the returned data as an array of boolean primitive type

  Throws:
    `ServiceException`

### getBooleanObjArray

    public java.lang.Boolean[] getBooleanObjArray()
                                           throws ServiceException

  Gets the returned data as an array of java.lang.Boolean

  Throws:
    `ServiceException`

### getDateArray

    public java.util.Date[] getDateArray()
                                  throws ServiceException

  Gets the returned data as an array of java.util.Date

  Throws:
    `ServiceException`

### getKey

    public int getKey()
               throws ServiceException

  Get the cache key for this Response. Can be used to delete the response from the cache.

  Throws:
    `ServiceException`

### getByteArray

    public byte[] getByteArray()
                        throws ServiceException

  NOT YET IMPLEMENTED! Gets the returned data as an array of byte primitive type

  Throws:
    `ServiceException`

### getEnumeration

    public java.util.Enumeration getEnumeration()

  NOT YET IMPLEMENTED! Gets the object returned from the remote procedure call as an enumeration. This is only used if the return code is 1, which indicates that not all of the response fit on the device. getEnumeration retrieves parts of the response from the server as necessary.

  Returns:
    Enumeration of result objects returned from remote procedure call

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Oracle Corporation. All Rights Reserved.